SRC += $(wildcard $(HAL_DIR)/hal_watchdog/*.c)
CFLAGS += -I$(HAL_DIR)/hal_watchdog
ifdef MOD_WATCHDOG
SRC += $(wildcard $(HAL_DIR)/hal_watchdog/$(MOD_WATCHDOG)/*.c)
else
$(warning warning you sure no audio?)
endif